@property --page-rotate {
    syntax: "<angle>";
    inherits: true;
    initial-value: 0deg;
}
@property --spine-shift {
    syntax: "<length>";
    inherits: true;
    initial-value: 0px;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background-color: #e0e0e0;
    font-family: "Outfit", system-ui, -apple-system, sans-serif;
    color: #111;
}
.scene {
    width: 100%;
    height: 100svh;
    perspective: 1000px;
    transform-style: preserve-3d;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;

    background-color: steelblue;
    background-position: center;
    background-blend-mode: overlay;
}

.bg-typography {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    font-size: clamp(4rem, 15vw, 15rem);
    font-weight: 800;
    line-height: 0.8;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5vw;
    pointer-events: none;
    z-index: 0;
    mix-blend-mode: exclusion;
    color: white;
}

.bg-typography span {
    display: block;
}

.galeria-book-3d {
    position: relative;
    width: 200px;
    height: 300px;
    perspective: 1000px;
    transform-style: preserve-3d;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;

    --spine-shift: 0px;

    transform: translateX(var(--spine-shift));
    transition: --spine-shift 0.5s ease;
}

.galeria-book-3d.book-open {
    --spine-shift: 100px;
}

.galeria-book-3d__item {
    position: absolute;
    width: 200px;
    height: 300px;
    perspective: 1000px;
    transform-style: preserve-3d;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-origin: left center;
    --page-rotate: 0deg;
    transform: rotateY(var(--page-rotate));
    transition: --page-rotate 0.5s ease-in-out, z-index 0s;
    transition-delay: calc((4 - var(--i)) * 0.1s),
    calc((4 - var(--i)) * 0.1s + 0.25s);
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    z-index: calc(10 - var(--i));
}

.galeria-book-3d__item.is-open {
    --page-rotate: -180deg;
    transition-delay: 0s, 0s;
    z-index: calc(20 + var(--i));
}

.galeria-book-3d__item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    background: #f4f4f4;
    backface-visibility: hidden;
}

.galeria-book-3d__item img:nth-child(2) {
    transform: rotateY(180deg) translateZ(1px);
    z-index: 1;
}
